node chavez {
    include test_class

    include svn

    svn::checkout { chavez-preseed:
       repository => "https://svn.redcta.org.ar/proyectos/redcta/trunk/preseed",
       local_path => "/var/www",
       local_name => "preseed",
    }

    cronapt::mailon-mailto { dist:
       mailon => "upgrade",
       mailto => "security@localhost"
    }

    include debproxy::server

    include webapps-php

    include utile-cli

}

node guevara {
    include test_class
    include utile-cli

    debproxy::activateclient { dist:
       debproxyhost => "debproxy",
    }

    package {
         [ "util-vserver" ]: ensure => installed;
     }

    package {
	[ "cryptsetup"]: ensure => installed;
    }

    file { "/etc/crypttab":
        owner => root,
        group => root,
        mode => 644,
        source => "puppet:///files/guevara/crypttab"
    }

    file { ["/backup"]:
      ensure => directory,
      owner => "root", group => "root", mode => "770"
    }

     mount { "/backup":
         atboot   => false,
         device   => "/dev/mapper/backup-crypto",
         ensure   => mounted,
         fstype   => "ext3",
         remounts => false,
         options  => "rw,suid,dev,exec,noauto,nouser,async",
	require => file["/backup"],
     }

}

node evo {
    include test_class
    include utile-cli

    debproxy::activateclient { dist:
       debproxyhost => "debproxy",
    }

    include debproxy::server
}

node impreso {

    include test_class
    include utile-cli

    debproxy::activateclient { dist:
       debproxyhost => "debproxy-ubuntu",
    }
}

node impresion-bog {

    include test_class
    include utile-cli

    debproxy::activateclient { dist:
       debproxyhost => "debproxy-ubuntu",
    }
}

